Установка Lotus Domino На Linux - Кто Сталкивался?

Olex

Member
03.06.2013
11
0
#1
Помогите, пожалуйста, совладать с Linux, не часто с ним сталкивался.
Lotus Domino ставил тысячу раз, но на такое - ни разу.

Есть Lotus Domino 8.5 32-бит (другого Лотуса не бывает). Есть Oracle Linux Server 6.5 64-бит (нужно ставить именно на нее, потому что она у заказчика), это версия Linux, которая ничем по заявлению Оракла от Red Hat не отличается.

Запускаю установку Lotus Domino командой ./install, процесс идет, идет установка Java, идут точки по экрану, а потом процесс останавливается - и все, без всяких сообщений об ошибке.
Что в графическом режиме, что в текстовом - одно и то же.
Думал, что дело в Java, скачал ее и установил отдельно, но не помогло.
Пробовал ставить Lotus на Suse - все ставится нормально, а тут никак.

Думаю, что дело именно в том, что Linux 64-битный и надо доставить какие то пакеты, но какие?
У IBM в руководстве говорится:
Note: Domino 8.5.1 supports SLES 11, which requires equivalent packages.
glibc-32bit-2.4-31.2
libgcc-4.1.0-28.4
libstdc++-4.1.0-28.4
libXp-1.0.0.-8.i386.rpm (RHEL 5)
In addition, due to Java, the following packages are required for the server (some may not be needed on System z (64-bit))*:
alsa-32bit-1.0.11-32.2
atk-32bit-1.10.3-15.2
cairo-32bit-1.0.2-27.4
compat-libstdc++-5.0.7-22.2
expat-32bit-2.0.0-13.2
fontconfig-32bit-2.3.94-18.5
freetype2-32bit-2.1.10-18.5
glib-32bit-1.2.10-609.2
glib2-32bit-2.8.5-21.2
glibc-32bit-2.4-31.2
glitz-32bit-0.4.4-21.2
gtk-32bit-1.2.10-907.2
gtk2-32bit-2.8.10-39.12
libgcc-4.1.0-28.4
libpng-32bit-1.2.8-19.2
pango-32bit-1.10.2-23.2
resmgr-32bit-0.9.8_SVNr75-18.4
unixODBC-32bit-2.2.11-21.4
xorg-x11-libs-32bit-6.9.0-50.14
zlib-32bit-1.2.3-15.2
http://www-01.ibm.com/support/docview.wss?...uid=swg27013075

Но пакетов с точном такими же названиями нет или они уже стоят (но 32 бит или нет - не знаю)! Как их найти?
Пишу:
yum install glibc-32bit-2.4-31.2 - пишет, что такого пакета нет.
У некоторых - есть похожие, если отбросить цифры и буквы.
Наприер:
unixODBC - ставится, но не "unixODBC-32bit-2.2.11-21.4"
Где и откуда поставить нужные пакеты?
Или ошибка может быть и не в них?
 

aameno2

Well-known member
27.01.2009
514
12
#2
ошибка может быть в версиях пакетов. Домино ставил на сусе x64, проблем не было. А вот самтайм требовал соответствия версий.
Установка от рута и selinux выключен?
 

Olex

Member
03.06.2013
11
0
#3
То что пакетов каких-то не хватает - это точно, но вот каких и где их взять...
От рута.
Selinux был включен, выключил его - не помогло.;)
 

lmike

нет, пердело совершенство
Lotus team
27.08.2008
6 567
263
#5
Есть Lotus Domino 8.5 32-бит (другого Лотуса не бывает)
бывает ;) - DOMINO_9.0.1_64_BIT_LIN_XS_EN.tar
32бит пакеты-то можно поставить, но несильно ябы рекомендовал такой путь, этож все-таки сервер
java д.б. оракловая
есть еще такой гайд
Для просмотра контента необходимо: Войти или зарегистрироваться
 

lmike

нет, пердело совершенство
Lotus team
27.08.2008
6 567
263
#7
ну именно такой версии не бывает...
что не мешает установить 9.0.1 ;)
 

aameno2

Well-known member
27.01.2009
514
12
#8
Ничто, но может он не куплен, а есть такие компании...)
 

lmike

нет, пердело совершенство
Lotus team
27.08.2008
6 567
263
#9
КМК риск запуска 32бит на продакшн с 64бит сервантом - не стоит денег за подписку ;)
 

aameno2

Well-known member
27.01.2009
514
12
#10
С момента появления 8ки жило в продакшене на 64 битном линухе. Никаких проблем)
 

Olex

Member
03.06.2013
11
0
#11
что нить типа binutils ? DB2 на сусе его хочет. В логах есть что нибудь?
Это не поможет?
А логи установки в linux где смотреть?
Выше я там приводил список пакетов, большую часть их я уже поставил, но часть нет.
Так же запускается установка Java, идут точки по экрану и потом останавливаются.
Гайд не помог, все что там написано я уже сделал.
 

aameno2

Well-known member
27.01.2009
514
12
#12
вы приводили пакеты для SLES а ставите на шапку.
В tmp или у рута лежат...точно не помню
 

Olex

Member
03.06.2013
11
0
#13
С пакетами разобрался, установил, там нужно дописывать что то вроде i686 - но это не помогло.

Проблему решил установкой 32-битной версии Oracle Linux. Поставилось сразу и без дополнительных телодвижений.
 

lmike

нет, пердело совершенство
Lotus team
27.08.2008
6 567
263
#14
Проблему решил установкой 32-битной версии Oracle Linux
в виртуалке, полагаю (XEN, KVM) - ато как-то жалко железку использовать в урезанном варианте :)
 

Olex

Member
03.06.2013
11
0
#15
На железке. Но это тестовая железка.
В продуктиве будет виртуалка.
 

swyatogor

Lotus team
24.02.2014
478
10
#16
Подниму темку.. но в другом плане чуток))
Вопрос такого плана - на какой версии (разновидности) линукса лучше ставить доминоху??
Ни разу не сталкивался - есть желание по-эксперементировать, первый же вопрос - какую никсу взять за платформу.. ROSA какуюнить??))
 

garrick

Lotus team
26.10.2009
894
61
#17
Подниму темку.. но в другом плане чуток))
Вопрос такого плана - на какой версии (разновидности) линукса лучше ставить доминоху??
Ни разу не сталкивался - есть желание по-эксперементировать, первый же вопрос - какую никсу взять за платформу.. ROSA какуюнить??))
Для просмотра контента необходимо: Войти или зарегистрироваться

Касаемо установки 32-bit Domino на 64-битную систему, для этого необходимо установить поддержку 32-битных приложений. В некоторых 64-битных Linux поддержка 32-бит выкинута насовсем, необходимо её доустановить. Некоторые системы такую поддержку имеют и с ними нет никаких проблем при установке 32-биного Lotus. Обычно поддержка 32-бит обеспечивается установкой ia32-libs (для Debian подобных). Ставится так
Код:
sudo apt-get install ia32-libs
Для CentOS, Redhat и им подобных можно попробовать
Код:
sudo yum install redhat-lsb.i686
Ещё... Обычно установочный пакет (deb, за rpm не ручаюсь) содержит файл control в котором прописаны все "зависимости", т.е. то, что необходимо для установки пакета см. секции Pre-Depends, Depends, Recommends, Conflicts, Replaces - там должны быть указаны имена пакетов и библиотек, кот. необходимы, вызывают конфликты и т.п. в зависимости от названия секции.
 

garrick

Lotus team
26.10.2009
894
61
#18
Но пакетов с точном такими же названиями нет или они уже стоят (но 32 бит или нет - не знаю)! Как их найти?
Пишу:
yum install glibc-32bit-2.4-31.2 - пишет, что такого пакета нет.
У некоторых - есть похожие, если отбросить цифры и буквы.
Наприер:
unixODBC - ставится, но не "unixODBC-32bit-2.2.11-21.4"
Где и откуда поставить нужные пакеты?
Или ошибка может быть и не в них?
На 64-битных системах 32-битные пакеты имеют префикс i386 или i686. Скорее всего, должно быть так
Код:
yum install glibc-i686
 

swyatogor

Lotus team
24.02.2014
478
10
#19
Касаемо установки 32-bit Domino на 64-битную систему
ээ.. а поставить 32-битную никсу?? и не парить мозг?
а какой дистрибутив (парт намбер) качать для этого дела?? а то что то их там много разновидностей для никса - red hat и suse - что за звери?? например для того же центоса или розы.. какие они там еще бывают?? убунты всякие))
 

garrick

Lotus team
26.10.2009
894
61
#20